# Default values for k8s-helm
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 1

image:
  repository: moathmuht/devops-practices
  pullPolicy: IfNotPresent
  tag: 221130-532f1adb
  databrepo: mysql
  databtag: 8.0.19

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""

podAnnotations: {}

podSecurityContext:
  {}
  # fsGroup: 2000

securityContext:
  {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true
  # runAsNonRoot: true
  # runAsUser: 1000

service:
  type: ClusterIP
  port: 80

ingress:
  hosts: muath-practice.com

resources:
  limits:
    cpu: "1000m"
    memory: "1024Mi"
  requests:
    cpu: "512m"
    memory: "512Mi"

global:
  MYSQL_DATABASE: MYSQL_DATABASE
  DATABASE_URL: DATABASE_URL
  MYSQL_USER: MYSQL_USER
  MYSQL_ROOT_PASSWORD: MYSQL_ROOT_PASSWORD

# autoscaling:
#   enabled: false
#   minReplicas: 1
#   maxReplicas: 100
#   targetCPUUtilizationPercentage: 80
# targetMemoryUtilizationPercentage: 80

nodeSelector: {}

tolerations: []

affinity: {}



